{
  "name": "medblocks-ui",
  "version": "0.0.180",
  "description": "Web components for building healthcare interfaces",
  "author": "Sidharth Ramesh",
  "license": "Apache-2.0",
  "main": "dist/medblocks.js",
  "module": "dist/medblocks.js",
  "types": "dist/medblocks.d.ts",
  "files": [
    "dist/medblocks.js",
    "dist/medblocks.d.ts",
    "dist/styles.js",
    "dist/styles.d.ts",
    "dist/shoelace.js",
    "dist/shoelace.d.ts",
    "vscode-custom-data.json",
    "dist/src",
    "dist/utils.js",
    "dist/utils.d.ts",
    "dist/bundle.js"
  ],
  "scripts": {
    "start": "tsc && concurrently -k -r \"tsc --watch --preserveWatchOutput\" \"wds\"",
    "build": "tsc && npm run bundle",
    "prepublish": "npm run build",
    "release": "npm run test && standard-version -a && git push --follow-tags origin master",
    "bundle": "esbuild medblocks.ts --bundle --outfile=dist/bundle.js",
    "postrelease": "git push --follow-tags origin master",
    "docs": "wca analyze src --format md --outDir ./documentation/",
    "lint": "eslint --ext .ts,.html . --ignore-path .gitignore && prettier \"**/*.ts\" --check --ignore-path .gitignore",
    "format": "eslint --ext .ts,.html . --fix --ignore-path .gitignore && prettier \"**/*.ts\" --write --ignore-path .gitignore",
    "test": "tsc && wtr",
    "test:watch": "tsc && concurrently -k -r \"tsc --watch \" \"wtr --watch\""
  },
  "dependencies": {
    "@shoelace-style/shoelace": "2.0.0-beta.71",
    "axios": "^0.26.1",
    "chai": "^4.0.0-canary.2",
    "lit-element": "^2.5.0",
    "lit-html": "^1.4.0"
  },
  "devDependencies": {
    "@open-wc/eslint-config": "^4.3.0",
    "@open-wc/testing": "^2.5.33",
    "@types/chai-as-promised": "^7.1.4",
    "@types/query-selector-shadow-dom": "^1.0.0",
    "@typescript-eslint/eslint-plugin": "^4.22.0",
    "@typescript-eslint/parser": "^4.22.0",
    "@web/dev-server": "^0.1.17",
    "@web/test-runner": "^0.13.16",
    "@web/test-runner-puppeteer": "^0.10.0",
    "chai-as-promised": "^7.1.1",
    "concurrently": "^5.3.0",
    "esbuild": "^0.13.13",
    "eslint": "^7.25.0",
    "eslint-config-prettier": "^7.2.0",
    "husky": "^4.3.8",
    "lint-staged": "^10.5.4",
    "prettier": "^2.2.1",
    "query-selector-shadow-dom": "^1.0.0",
    "standard-version": "^9.3.0",
    "tslib": "^2.2.0",
    "typescript": "^4.2.4",
    "web-component-analyzer": "^1.1.6"
  },
  "eslintConfig": {
    "parser": "@typescript-eslint/parser",
    "extends": [
      "@open-wc/eslint-config",
      "eslint-config-prettier"
    ],
    "plugins": [
      "@typescript-eslint"
    ],
    "rules": {
      "no-unused-vars": "off",
      "@typescript-eslint/no-unused-vars": [
        "error"
      ],
      "import/no-unresolved": "off",
      "import/extensions": [
        "error",
        "always",
        {
          "ignorePackages": true
        }
      ]
    }
  },
  "prettier": {
    "singleQuote": true,
    "arrowParens": "avoid"
  }
}
